/*
 * Copyright (C) Huawei Technologies Co., Ltd. 2023. All rights reserved.
 * SPDX-License-Identifier: MIT
 */
#ifndef VATOMIC_CONFIG_FNC_SC_H
#define VATOMIC_CONFIG_FNC_SC_H
/* !!!Warning: File generated by tmpl; DO NOT EDIT.!!! */

#include <vsync/atomic/await.h>

#if defined(VATOMIC_ENABLE_ATOMIC_SC)

    #define VATOMIC_FENCE_RLX
static inline void
vatomic_fence_rlx(void)
{
    vatomic_fence();
}
    #define VATOMIC_FENCE_ACQ
static inline void
vatomic_fence_acq(void)
{
    vatomic_fence();
}
    #define VATOMIC_FENCE_REL
static inline void
vatomic_fence_rel(void)
{
    vatomic_fence();
}

#endif
#endif
